// 12.5. Plik js dwukierunkowego wątku roboczego

// przechwyć wiadomości wysłane do wątku roboczego
onmessage = function(event) {

   // sprawdź, czy dane są puste, i wyślij z powrotem błąd
   if (event.data === '') {
      // prześlij do klienta wiadomość z informacją o błędzie
      postMessage({msgType:'ERR',msg:'Nieprawidłowy wpis z danymi'});
   } else {
      // prześlij do klienta wiadomość potwierdzającą odbiór
      newMessage = 'Wątek roboczy otrzymał "' + event.data + '"';
      postMessage({msgType:'MSG',msg:newMessage});
   }
}
